﻿:root {
    --colorTextDisabled: #a19f9d;
    --colorInputBackgroundDisabled: #f3f2f1;
    --tooltip-min-width: 30px;
    --tooltip-max-width: 250px;
    --colorTableHeader: rgb(250, 250, 250);
    --colorSelectedListItem: rgba(208, 215, 222, 0.24);
    --colorCommandBarItemHover: rgba(218, 218, 218, 1);
}

.wrapper {
    float: left;
    animation: background 5s infinite alternate;
}

code {
    color: var(--bc-primary);
    font-size: inherit;
}

.svg-icon {
    height: 18px;
    width: 18px;
}

button:active,
button:focus {
    outline: none;
}

/*button:disabled,*/
/*button[disabled]{*/
/*    color:rgba(16, 16, 16, 0.3);*/
/*    pointer-events: none;*/
/*}*/

a[disabled], a[disabled]:hover {
    pointer-events: none;
    color: var(--colorTextDisabled);
    box-shadow: none;
}


.bc-input {
    width: 100%;
    height: 32px;
    border-width: 1px;
    border-style: solid;
    border-color: var(--bc-black);
/*rgb(72, 70, 68);*/
    border-radius: 2px;
    cursor: pointer;
    display: block;
    line-height: 30px;
    overflow: hidden;
    position: inherit;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin: 0;
    padding: 0 8px 0 8px;
}

[type="search"] {
     outline-offset: 0px;
    -webkit-appearance: none;
}

.bc-input:hover,
.bc-input:focus,
.bc-input:active {
    border-color: var(--bc-primary);
    outline: none !important;
}

textarea.bc-input {
    white-space: normal;
    min-height: 32px;
    height: auto;
    line-height: 1.5715;
    padding: 4px 8px;
}

.bc-input[type=password]::-ms-reveal,
.bc-input[type=password]::-ms-clear
{
    display: none;
}

.validation-message {
    color: var(--bc-error);
    font-size: 12px;
}


.filter-input-layout {
    height: 32px;
    max-width: 200px;
}

.summary-form-container {
    display: flex;
    max-width:1200px; 
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

    .summary-form-container > .summary-form-item {
        flex: 1 1 50%; /*grow | shrink | basis */
    }

 /* Autocomple*/

.dropdown-menu {
    padding: 0px;
    margin: 0px;
    width: 100%;
    font-size: 14px;
}


input,
/* enable absolute positioning */
.inner-addon {
    position: relative;
}

/* style icon */
.inner-addon .inner-icon {
    position: absolute;
    padding: 5px;
    z-index: 9999;
    pointer-events: none;
}

/* align icon */
.left-addon .inner-icon {
    left: 0;
}

.right-addon .inner-icon {
    right: 0;
}


.right-addon input {
    padding-right: 30px;
}

textarea:focus, input:focus {
    outline: none;
}

/* MultiColumn Select */

.input-select-group {
    /* This bit sets up the horizontal layout */
    display: flex;
    flex-direction: row;
    /* This bit draws the box around it */
    border: 1px solid grey;
    /* I've used padding so you can see the edges of the elements. */
    padding: 2px;
}

.multicolumn-select-input {
    /* Tell the input to use all the available space */
    flex-grow: 2;
    /* And hide the input's outline, so the form looks like the outline */
    border: none;
}

.resizeable {
    resize: horizontal;
    overflow-x: hidden;
    max-width: 650px;
    max-height: 350px;
    overflow-y: auto;
    overflow-anchor: none;
}

/* Input Suffix */

.bc-input-suffix:hover,
.bc-input-suffix:active,
.bc-input-suffix:focus {
    /* removing the input focus blue box. Put this on the form if you like. */
    outline: none; /* remove outline */
    box-shadow: none; /* remove box shadow */
    color: inherit;
}

.bc-input-suffix {
    /* Just a little styling to make it pretty */
    border: 0;
    background-color: transparent;
    color: grey;
    position: absolute;
    text-align: center;
    padding-right: 7px;
    padding-left: 7px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    height: 32px;
    top: 1px;
    right: 1px;
}

.icon {
    font-family: "Font Awesome 6 Free", serif;
    font-weight: 600;
}

.icon-DownChevron:before {
    content: "\f078";
}

.icon-EyeSlash:before {
    content: "\f070";
}

.icon-Eye:before {
    content: "\f06e";
}

.icon-Calendar:before {
    content: "\f073";
}

.edit-container {
    display: block;
    width: 100%;
    position: relative;
}

.bc-input-suffix:before {
    align-self: center;
    font-size: 12px;
}
.bc-inout-suffix-wrapper {
    position: relative;
    display: inline-flex;
    width: 100%;
    min-width: 0;
    padding: 4px;
}

/* Modal */

.b-component.modal-body {
    overflow-y: auto;
    max-height: 500px;
}


/*------------*/

/* Table */

.bc-table th, .bc-table td {
    max-width: 450px;
    text-overflow: ellipsis;
    overflow: hidden;
    border-top: 1px solid #dee2e6;
}

.bc-table thead {
    position: relative;
    z-index: 1;
}

.bc-table thead .multi-select {
    width: 4ex;
}

.bc-table th {
    padding: 8px 8px;
    top: -1px
}

.bc-table td {
    padding: 7px 7px;
    vertical-align: top;
}

.bc-table td .empty-container {
    margin: 1rem;
}

/*.table th::before{*/
/*    position: absolute;*/
/*    top: 50%;*/
/*    inset-inline-end: 0;*/
/*    width: 1px;*/
/*    height: 40px;*/
/*    background-color: #f0f0f0;*/
/*    transform: translateY(-50%);*/
/*    transition: background-color .2s;*/
/*    content: "";*/
/*}*/

.bc-table thead th {
    color: var(--bc-white);
    background-color: var(--bc-primary);
    border-color: rgb(240, 240, 240);
    white-space: normal;
    font-weight: 600;
    text-decoration: none;
    background-repeat: repeat-x;
    vertical-align: bottom;
    height: 38px;
    display: table-cell;
    border-style: solid;
    border-width: 1px 0 1px 0;
}

.bc-table {
    width: 100%;
    margin-bottom: 1rem;
    border-collapse: collapse;
    table-layout: auto;
    min-width: max-content;
}

.table-fixed-header {
    overflow-y: auto;
    overflow-x: auto;
}

.bc-table td:last-child {
    width: auto;
}


.blazor-grid-wrapper .grid-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    display: flex;
    flex-flow: column;
    justify-content: center;
    background: rgba(255,255,255,.8);
    z-index: 100;
}


thead th {
    position: sticky;
    top: 0;
}

.table-sort-label {
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
}

.table-sort-label .table-sort-label-icon {
    font-size: 15px;
    flex-shrink:0;
    transition: opacity 300ms cubic-bezier(.4,0,.2,1) 0ms,transform 200ms cubic-bezier(.4,0,.2,1) 0ms;
    user-select: none;
    opacity: 0;
}

.table-sort-label:hover .table-sort-label-icon {
    opacity: 0.85;
    transform: rotate( 180deg);
}

.table-sort-label .table-sort-label-icon.direction-desc {
    opacity: 1;
    transform: rotate( 180deg);
}

.table-sort-label .table-sort-label-icon.direction-asc {
    opacity: 1;
    transform: rotate( 0deg);
}


.grid-row {
    background-color: transparent;
}

.grid-row-selected {
    background-color: var(--bc-selected);
}

.grid-row:hover {
    background-color: var(--bc-selected);
}

.bc-th-right .table-sort-label {
    justify-content: flex-end;
}

th.bc-th-right {
    text-align: right;
    padding-right: 1px;
}


/*------------*/

.justify-content-between {
    justify-content: space-between !important;
}


textarea.is-invalid,
input.is-invalid,
select.is-invalid {
    border-color: var(--bc-error);
}

input:read-only,
textarea:read-only {
    background-color: var(--colorInputBackgroundDisabled);
    color: var(--colorTextDisabled);
}

label.required:after {
    content: ' *';
    color: red;
}

/* Grid System */

.bc-row {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--bs-gutter-y));
    margin-right: calc(-.5 * var(--bs-gutter-x));
    margin-left: calc(-.5 * var(--bs-gutter-x))
}

.bc-row>* {
    flex-shrink: 0;
    width: 100%;
    max-width: 100%;
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
    margin-top: var(--bs-gutter-y)
}

.bc-col {
    flex: 1 0 0%
}

.bc-row-cols-auto>* {
    flex: 0 0 auto;
    width: auto
}

.bc-row-cols-1>* {
    flex: 0 0 auto;
    width: 100%
}

.bc-row-cols-2>* {
    flex: 0 0 auto;
    width: 50%
}

.bc-row-cols-3>* {
    flex: 0 0 auto;
    width: 33.3333333333%
}

.bc-row-cols-4>* {
    flex: 0 0 auto;
    width: 25%
}

.bc-row-cols-5>* {
    flex: 0 0 auto;
    width: 20%
}

.bc-row-cols-6>* {
    flex: 0 0 auto;
    width: 16.6666666667%
}

.bc-col-auto {
    flex: 0 0 auto;
    width: auto
}

.bc-col-1 {
    flex: 0 0 auto;
    width: 8.33333333%
}

.bc-col-2 {
    flex: 0 0 auto;
    width: 16.66666667%
}

.bc-col-3 {
    flex: 0 0 auto;
    width: 25%
}

.bc-col-4 {
    flex: 0 0 auto;
    width: 33.33333333%
}

.bc-col-5 {
    flex: 0 0 auto;
    width: 41.66666667%
}

.bc-col-6 {
    flex: 0 0 auto;
    width: 50%
}

.bc-col-7 {
    flex: 0 0 auto;
    width: 58.33333333%
}

.bc-col-8 {
    flex: 0 0 auto;
    width: 66.66666667%
}

.bc-col-9 {
    flex: 0 0 auto;
    width: 75%
}

.bc-col-10 {
    flex: 0 0 auto;
    width: 83.33333333%
}

.bc-col-11 {
    flex: 0 0 auto;
    width: 91.66666667%
}

.bc-col-12 {
    flex: 0 0 auto;
    width: 100%
}

.bc-offset-1 {
    margin-left: 8.33333333%
}

.bc-offset-2 {
    margin-left: 16.66666667%
}

.bc-offset-3 {
    margin-left: 25%
}

.bc-offset-4 {
    margin-left: 33.33333333%
}

.bc-offset-5 {
    margin-left: 41.66666667%
}

.bc-offset-6 {
    margin-left: 50%
}

.bc-offset-7 {
    margin-left: 58.33333333%
}

.bc-offset-8 {
    margin-left: 66.66666667%
}

.bc-offset-9 {
    margin-left: 75%
}

.bc-offset-10 {
    margin-left: 83.33333333%
}

.bc-offset-11 {
    margin-left: 91.66666667%
}

.bc-g-0,.bc-gx-0 {
    --bs-gutter-x: 0
}

.bc-g-0,.bc-gy-0 {
    --bs-gutter-y: 0
}

.bc-g-1,.bc-gx-1 {
    --bs-gutter-x: 0.25rem
}

.bc-g-1,.bc-gy-1 {
    --bs-gutter-y: 0.25rem
}

.bc-g-2,.bc-gx-2 {
    --bs-gutter-x: 0.5rem
}

.bc-g-2,.bc-gy-2 {
    --bs-gutter-y: 0.5rem
}

.bc-g-3,.bc-gx-3 {
    --bs-gutter-x: 1rem
}

.bc-g-3,.bc-gy-3 {
    --bs-gutter-y: 1rem
}

.bc-g-4,.bc-gx-4 {
    --bs-gutter-x: 1.5rem
}

.bc-g-4,.bc-gy-4 {
    --bs-gutter-y: 1.5rem
}

.bc-g-5,.bc-gx-5 {
    --bs-gutter-x: 3rem
}

.bc-g-5,.bc-gy-5 {
    --bs-gutter-y: 3rem
}

@media (min-width: 576px) {
    .bc-col-sm {
        flex:1 0 0%
    }

    .bc-row-cols-sm-auto>* {
        flex: 0 0 auto;
        width: auto
    }

    .bc-row-cols-sm-1>* {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-row-cols-sm-2>* {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-row-cols-sm-3>* {
        flex: 0 0 auto;
        width: 33.3333333333%
    }

    .bc-row-cols-sm-4>* {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-row-cols-sm-5>* {
        flex: 0 0 auto;
        width: 20%
    }

    .bc-row-cols-sm-6>* {
        flex: 0 0 auto;
        width: 16.6666666667%
    }

    .bc-col-sm-auto {
        flex: 0 0 auto;
        width: auto
    }

    .bc-col-sm-1 {
        flex: 0 0 auto;
        width: 8.33333333%
    }

    .bc-col-sm-2 {
        flex: 0 0 auto;
        width: 16.66666667%
    }

    .bc-col-sm-3 {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-col-sm-4 {
        flex: 0 0 auto;
        width: 33.33333333%
    }

    .bc-col-sm-5 {
        flex: 0 0 auto;
        width: 41.66666667%
    }

    .bc-col-sm-6 {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-col-sm-7 {
        flex: 0 0 auto;
        width: 58.33333333%
    }

    .bc-col-sm-8 {
        flex: 0 0 auto;
        width: 66.66666667%
    }

    .bc-col-sm-9 {
        flex: 0 0 auto;
        width: 75%
    }

    .bc-col-sm-10 {
        flex: 0 0 auto;
        width: 83.33333333%
    }

    .bc-col-sm-11 {
        flex: 0 0 auto;
        width: 91.66666667%
    }

    .bc-col-sm-12 {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-offset-sm-0 {
        margin-left: 0
    }

    .bc-offset-sm-1 {
        margin-left: 8.33333333%
    }

    .bc-offset-sm-2 {
        margin-left: 16.66666667%
    }

    .bc-offset-sm-3 {
        margin-left: 25%
    }

    .bc-offset-sm-4 {
        margin-left: 33.33333333%
    }

    .bc-offset-sm-5 {
        margin-left: 41.66666667%
    }

    .bc-offset-sm-6 {
        margin-left: 50%
    }

    .bc-offset-sm-7 {
        margin-left: 58.33333333%
    }

    .bc-offset-sm-8 {
        margin-left: 66.66666667%
    }

    .bc-offset-sm-9 {
        margin-left: 75%
    }

    .bc-offset-sm-10 {
        margin-left: 83.33333333%
    }

    .bc-offset-sm-11 {
        margin-left: 91.66666667%
    }

    .bc-g-sm-0,.bc-gx-sm-0 {
        --bs-gutter-x: 0
    }

    .bc-g-sm-0,.bc-gy-sm-0 {
        --bs-gutter-y: 0
    }

    .bc-g-sm-1,.bc-gx-sm-1 {
        --bs-gutter-x: 0.25rem
    }

    .bc-g-sm-1,.bc-gy-sm-1 {
        --bs-gutter-y: 0.25rem
    }

    .bc-g-sm-2,.bc-gx-sm-2 {
        --bs-gutter-x: 0.5rem
    }

    .bc-g-sm-2,.bc-gy-sm-2 {
        --bs-gutter-y: 0.5rem
    }

    .bc-g-sm-3,.bc-gx-sm-3 {
        --bs-gutter-x: 1rem
    }

    .bc-g-sm-3,.bc-gy-sm-3 {
        --bs-gutter-y: 1rem
    }

    .bc-g-sm-4,.bc-gx-sm-4 {
        --bs-gutter-x: 1.5rem
    }

    .bc-g-sm-4,.bc-gy-sm-4 {
        --bs-gutter-y: 1.5rem
    }

    .bc-g-sm-5,.bc-gx-sm-5 {
        --bs-gutter-x: 3rem
    }

    .bc-g-sm-5,.bc-gy-sm-5 {
        --bs-gutter-y: 3rem
    }
}

@media (min-width: 768px) {
    .bc-col-md {
        flex:1 0 0%
    }

    .bc-row-cols-md-auto>* {
        flex: 0 0 auto;
        width: auto
    }

    .bc-row-cols-md-1>* {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-row-cols-md-2>* {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-row-cols-md-3>* {
        flex: 0 0 auto;
        width: 33.3333333333%
    }

    .bc-row-cols-md-4>* {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-row-cols-md-5>* {
        flex: 0 0 auto;
        width: 20%
    }

    .bc-row-cols-md-6>* {
        flex: 0 0 auto;
        width: 16.6666666667%
    }

    .bc-col-md-auto {
        flex: 0 0 auto;
        width: auto
    }

    .bc-col-md-1 {
        flex: 0 0 auto;
        width: 8.33333333%
    }

    .bc-col-md-2 {
        flex: 0 0 auto;
        width: 16.66666667%
    }

    .bc-col-md-3 {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-col-md-4 {
        flex: 0 0 auto;
        width: 33.33333333%
    }

    .bc-col-md-5 {
        flex: 0 0 auto;
        width: 41.66666667%
    }

    .bc-col-md-6 {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-col-md-7 {
        flex: 0 0 auto;
        width: 58.33333333%
    }

    .bc-col-md-8 {
        flex: 0 0 auto;
        width: 66.66666667%
    }

    .bc-col-md-9 {
        flex: 0 0 auto;
        width: 75%
    }

    .bc-col-md-10 {
        flex: 0 0 auto;
        width: 83.33333333%
    }

    .bc-col-md-11 {
        flex: 0 0 auto;
        width: 91.66666667%
    }

    .bc-col-md-12 {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-offset-md-0 {
        margin-left: 0
    }

    .bc-offset-md-1 {
        margin-left: 8.33333333%
    }

    .bc-offset-md-2 {
        margin-left: 16.66666667%
    }

    .bc-offset-md-3 {
        margin-left: 25%
    }

    .bc-offset-md-4 {
        margin-left: 33.33333333%
    }

    .bc-offset-md-5 {
        margin-left: 41.66666667%
    }

    .bc-offset-md-6 {
        margin-left: 50%
    }

    .bc-offset-md-7 {
        margin-left: 58.33333333%
    }

    .bc-offset-md-8 {
        margin-left: 66.66666667%
    }

    .bc-offset-md-9 {
        margin-left: 75%
    }

    .bc-offset-md-10 {
        margin-left: 83.33333333%
    }

    .bc-offset-md-11 {
        margin-left: 91.66666667%
    }

    .bc-g-md-0,.bc-gx-md-0 {
        --bs-gutter-x: 0
    }

    .bc-g-md-0,.bc-gy-md-0 {
        --bs-gutter-y: 0
    }

    .bc-g-md-1,.bc-gx-md-1 {
        --bs-gutter-x: 0.25rem
    }

    .bc-g-md-1,.bc-gy-md-1 {
        --bs-gutter-y: 0.25rem
    }

    .bc-g-md-2,.bc-gx-md-2 {
        --bs-gutter-x: 0.5rem
    }

    .bc-g-md-2,.bc-gy-md-2 {
        --bs-gutter-y: 0.5rem
    }

    .bc-g-md-3,.bc-gx-md-3 {
        --bs-gutter-x: 1rem
    }

    .bc-g-md-3,.bc-gy-md-3 {
        --bs-gutter-y: 1rem
    }

    .bc-g-md-4,.bc-gx-md-4 {
        --bs-gutter-x: 1.5rem
    }

    .bc-g-md-4,.bc-gy-md-4 {
        --bs-gutter-y: 1.5rem
    }

    .bc-g-md-5,.bc-gx-md-5 {
        --bs-gutter-x: 3rem
    }

    .bc-g-md-5,.bc-gy-md-5 {
        --bs-gutter-y: 3rem
    }
}

@media (min-width: 992px) {
    .bc-col-lg {
        flex:1 0 0%
    }

    .bc-row-cols-lg-auto>* {
        flex: 0 0 auto;
        width: auto
    }

    .bc-row-cols-lg-1>* {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-row-cols-lg-2>* {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-row-cols-lg-3>* {
        flex: 0 0 auto;
        width: 33.3333333333%
    }

    .bc-row-cols-lg-4>* {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-row-cols-lg-5>* {
        flex: 0 0 auto;
        width: 20%
    }

    .bc-row-cols-lg-6>* {
        flex: 0 0 auto;
        width: 16.6666666667%
    }

    .bc-col-lg-auto {
        flex: 0 0 auto;
        width: auto
    }

    .bc-col-lg-1 {
        flex: 0 0 auto;
        width: 8.33333333%
    }

    .bc-col-lg-2 {
        flex: 0 0 auto;
        width: 16.66666667%
    }

    .bc-col-lg-3 {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-col-lg-4 {
        flex: 0 0 auto;
        width: 33.33333333%
    }

    .bc-col-lg-5 {
        flex: 0 0 auto;
        width: 41.66666667%
    }

    .bc-col-lg-6 {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-col-lg-7 {
        flex: 0 0 auto;
        width: 58.33333333%
    }

    .bc-col-lg-8 {
        flex: 0 0 auto;
        width: 66.66666667%
    }

    .bc-col-lg-9 {
        flex: 0 0 auto;
        width: 75%
    }

    .bc-col-lg-10 {
        flex: 0 0 auto;
        width: 83.33333333%
    }

    .bc-col-lg-11 {
        flex: 0 0 auto;
        width: 91.66666667%
    }

    .bc-col-lg-12 {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-offset-lg-0 {
        margin-left: 0
    }

    .bc-offset-lg-1 {
        margin-left: 8.33333333%
    }

    .bc-offset-lg-2 {
        margin-left: 16.66666667%
    }

    .bc-offset-lg-3 {
        margin-left: 25%
    }

    .bc-offset-lg-4 {
        margin-left: 33.33333333%
    }

    .bc-offset-lg-5 {
        margin-left: 41.66666667%
    }

    .bc-offset-lg-6 {
        margin-left: 50%
    }

    .bc-offset-lg-7 {
        margin-left: 58.33333333%
    }

    .bc-offset-lg-8 {
        margin-left: 66.66666667%
    }

    .bc-offset-lg-9 {
        margin-left: 75%
    }

    .bc-offset-lg-10 {
        margin-left: 83.33333333%
    }

    .bc-offset-lg-11 {
        margin-left: 91.66666667%
    }

    .bc-g-lg-0,.bc-gx-lg-0 {
        --bs-gutter-x: 0
    }

    .bc-g-lg-0,.bc-gy-lg-0 {
        --bs-gutter-y: 0
    }

    .bc-g-lg-1,.bc-gx-lg-1 {
        --bs-gutter-x: 0.25rem
    }

    .bc-g-lg-1,.bc-gy-lg-1 {
        --bs-gutter-y: 0.25rem
    }

    .bc-g-lg-2,.bc-gx-lg-2 {
        --bs-gutter-x: 0.5rem
    }

    .bc-g-lg-2,.bc-gy-lg-2 {
        --bs-gutter-y: 0.5rem
    }

    .bc-g-lg-3,.bc-gx-lg-3 {
        --bs-gutter-x: 1rem
    }

    .bc-g-lg-3,.bc-gy-lg-3 {
        --bs-gutter-y: 1rem
    }

    .bc-g-lg-4,.bc-gx-lg-4 {
        --bs-gutter-x: 1.5rem
    }

    .bc-g-lg-4,.bc-gy-lg-4 {
        --bs-gutter-y: 1.5rem
    }

    .bc-g-lg-5,.bc-gx-lg-5 {
        --bs-gutter-x: 3rem
    }

    .bc-g-lg-5,.bc-gy-lg-5 {
        --bs-gutter-y: 3rem
    }
}

@media (min-width: 1200px) {
    .bc-col-xl {
        flex:1 0 0%
    }

    .bc-row-cols-xl-auto>* {
        flex: 0 0 auto;
        width: auto
    }

    .bc-row-cols-xl-1>* {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-row-cols-xl-2>* {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-row-cols-xl-3>* {
        flex: 0 0 auto;
        width: 33.3333333333%
    }

    .bc-row-cols-xl-4>* {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-row-cols-xl-5>* {
        flex: 0 0 auto;
        width: 20%
    }

    .bc-row-cols-xl-6>* {
        flex: 0 0 auto;
        width: 16.6666666667%
    }

    .bc-col-xl-auto {
        flex: 0 0 auto;
        width: auto
    }

    .bc-col-xl-1 {
        flex: 0 0 auto;
        width: 8.33333333%
    }

    .bc-col-xl-2 {
        flex: 0 0 auto;
        width: 16.66666667%
    }

    .bc-col-xl-3 {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-col-xl-4 {
        flex: 0 0 auto;
        width: 33.33333333%
    }

    .bc-col-xl-5 {
        flex: 0 0 auto;
        width: 41.66666667%
    }

    .bc-col-xl-6 {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-col-xl-7 {
        flex: 0 0 auto;
        width: 58.33333333%
    }

    .bc-col-xl-8 {
        flex: 0 0 auto;
        width: 66.66666667%
    }

    .bc-col-xl-9 {
        flex: 0 0 auto;
        width: 75%
    }

    .bc-col-xl-10 {
        flex: 0 0 auto;
        width: 83.33333333%
    }

    .bc-col-xl-11 {
        flex: 0 0 auto;
        width: 91.66666667%
    }

    .bc-col-xl-12 {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-offset-xl-0 {
        margin-left: 0
    }

    .bc-offset-xl-1 {
        margin-left: 8.33333333%
    }

    .bc-offset-xl-2 {
        margin-left: 16.66666667%
    }

    .bc-offset-xl-3 {
        margin-left: 25%
    }

    .bc-offset-xl-4 {
        margin-left: 33.33333333%
    }

    .bc-offset-xl-5 {
        margin-left: 41.66666667%
    }

    .bc-offset-xl-6 {
        margin-left: 50%
    }

    .bc-offset-xl-7 {
        margin-left: 58.33333333%
    }

    .bc-offset-xl-8 {
        margin-left: 66.66666667%
    }

    .bc-offset-xl-9 {
        margin-left: 75%
    }

    .bc-offset-xl-10 {
        margin-left: 83.33333333%
    }

    .bc-offset-xl-11 {
        margin-left: 91.66666667%
    }

    .bc-g-xl-0,.bc-gx-xl-0 {
        --bs-gutter-x: 0
    }

    .bc-g-xl-0,.bc-gy-xl-0 {
        --bs-gutter-y: 0
    }

    .bc-g-xl-1,.bc-gx-xl-1 {
        --bs-gutter-x: 0.25rem
    }

    .bc-g-xl-1,.bc-gy-xl-1 {
        --bs-gutter-y: 0.25rem
    }

    .bc-g-xl-2,.bc-gx-xl-2 {
        --bs-gutter-x: 0.5rem
    }

    .bc-g-xl-2,.bc-gy-xl-2 {
        --bs-gutter-y: 0.5rem
    }

    .bc-g-xl-3,.bc-gx-xl-3 {
        --bs-gutter-x: 1rem
    }

    .bc-g-xl-3,.bc-gy-xl-3 {
        --bs-gutter-y: 1rem
    }

    .bc-g-xl-4,.bc-gx-xl-4 {
        --bs-gutter-x: 1.5rem
    }

    .bc-g-xl-4,.bc-gy-xl-4 {
        --bs-gutter-y: 1.5rem
    }

    .bc-g-xl-5,.bc-gx-xl-5 {
        --bs-gutter-x: 3rem
    }

    .bc-g-xl-5,.bc-gy-xl-5 {
        --bs-gutter-y: 3rem
    }
}

@media (min-width: 1400px) {
    .bc-col-xxl {
        flex:1 0 0%
    }

    .bc-row-cols-xxl-auto>* {
        flex: 0 0 auto;
        width: auto
    }

    .bc-row-cols-xxl-1>* {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-row-cols-xxl-2>* {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-row-cols-xxl-3>* {
        flex: 0 0 auto;
        width: 33.3333333333%
    }

    .bc-row-cols-xxl-4>* {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-row-cols-xxl-5>* {
        flex: 0 0 auto;
        width: 20%
    }

    .bc-row-cols-xxl-6>* {
        flex: 0 0 auto;
        width: 16.6666666667%
    }

    .bc-col-xxl-auto {
        flex: 0 0 auto;
        width: auto
    }

    .bc-col-xxl-1 {
        flex: 0 0 auto;
        width: 8.33333333%
    }

    .bc-col-xxl-2 {
        flex: 0 0 auto;
        width: 16.66666667%
    }

    .bc-col-xxl-3 {
        flex: 0 0 auto;
        width: 25%
    }

    .bc-col-xxl-4 {
        flex: 0 0 auto;
        width: 33.33333333%
    }

    .bc-col-xxl-5 {
        flex: 0 0 auto;
        width: 41.66666667%
    }

    .bc-col-xxl-6 {
        flex: 0 0 auto;
        width: 50%
    }

    .bc-col-xxl-7 {
        flex: 0 0 auto;
        width: 58.33333333%
    }

    .bc-col-xxl-8 {
        flex: 0 0 auto;
        width: 66.66666667%
    }

    .bc-col-xxl-9 {
        flex: 0 0 auto;
        width: 75%
    }

    .bc-col-xxl-10 {
        flex: 0 0 auto;
        width: 83.33333333%
    }

    .bc-col-xxl-11 {
        flex: 0 0 auto;
        width: 91.66666667%
    }

    .bc-col-xxl-12 {
        flex: 0 0 auto;
        width: 100%
    }

    .bc-offset-xxl-0 {
        margin-left: 0
    }

    .bc-offset-xxl-1 {
        margin-left: 8.33333333%
    }

    .bc-offset-xxl-2 {
        margin-left: 16.66666667%
    }

    .bc-offset-xxl-3 {
        margin-left: 25%
    }

    .bc-offset-xxl-4 {
        margin-left: 33.33333333%
    }

    .bc-offset-xxl-5 {
        margin-left: 41.66666667%
    }

    .bc-offset-xxl-6 {
        margin-left: 50%
    }

    .bc-offset-xxl-7 {
        margin-left: 58.33333333%
    }

    .bc-offset-xxl-8 {
        margin-left: 66.66666667%
    }

    .bc-offset-xxl-9 {
        margin-left: 75%
    }

    .bc-offset-xxl-10 {
        margin-left: 83.33333333%
    }

    .bc-offset-xxl-11 {
        margin-left: 91.66666667%
    }

    .bc-g-xxl-0,.bc-gx-xxl-0 {
        --bs-gutter-x: 0
    }

    .bc-g-xxl-0,.bc-gy-xxl-0 {
        --bs-gutter-y: 0
    }

    .bc-g-xxl-1,.bc-gx-xxl-1 {
        --bs-gutter-x: 0.25rem
    }

    .bc-g-xxl-1,.bc-gy-xxl-1 {
        --bs-gutter-y: 0.25rem
    }

    .bc-g-xxl-2,.bc-gx-xxl-2 {
        --bs-gutter-x: 0.5rem
    }

    .bc-g-xxl-2,.bc-gy-xxl-2 {
        --bs-gutter-y: 0.5rem
    }

    .bc-g-xxl-3,.bc-gx-xxl-3 {
        --bs-gutter-x: 1rem
    }

    .bc-g-xxl-3,.bc-gy-xxl-3 {
        --bs-gutter-y: 1rem
    }

    .bc-g-xxl-4,.bc-gx-xxl-4 {
        --bs-gutter-x: 1.5rem
    }

    .bc-g-xxl-4,.bc-gy-xxl-4 {
        --bs-gutter-y: 1.5rem
    }

    .bc-g-xxl-5,.bc-gx-xxl-5 {
        --bs-gutter-x: 3rem
    }

    .bc-g-xxl-5,.bc-gy-xxl-5 {
        --bs-gutter-y: 3rem
    }
}

.card-brand img {
    display: block;
    height: auto;
    width: 1.95em;
}

.card-brand {
    background: none!important;
    border-color: transparent!important;
    box-shadow: none!important;
    outline: none!important;
    pointer-events: none;
    position: absolute;
    top: 0;
    z-index: 99;
}

.p-CardNumberInput {
    position: relative;
}

.p-Input {
    position: relative;
}

.paging-container {
    justify-content: space-between !important;
    align-items: center;
}

/* Menu */

.menu-link {
    padding: 0;
    color: inherit;
    display: block;
    width: 100%;
}

.menu-link:active,
.menu-link:hover {
    text-decoration: none;
    color: inherit;
}


/* Menu */

.bc-table-select-all.bc-checkbox .bc-checkbox-inner {
    background-color: var(--bc-primary);
    color: #fff;
}

.bc-table-row-multi-select-checkbox.bc-checkbox .bc-checkbox-inner {
    color: var(--bc-primary) !important;
}

.bc-table .bc-checkbox {
    padding: 0 !important;
}

.caption-text {
    font-size: 13.5pt;
    margin: 0;
    padding: 0 0;
}

/* Command Bar */

.command-bar-item .bc-btn {
    box-shadow: none;
}

.bc-tooltip.command-bar-item-tooltip {
    padding: 2px 8px;
    font-size: 11px;
}

/* Tags Group */

.bc-tag-group-plus {
    border: dashed 1px var(--bc-black);
    background-color: transparent !important;
    color: var(--bc-black) !important;
}

.animate-shrink {
    transition: 0.3s;
    transform: scale(0.000001,0.000001);
    transform-origin: 1% 100%;
}

.animate-grow {
    transform: scale(0,0);
    transform-origin: 1% 100%;
    animation: grow cubic-bezier(0.785, 0.135, 0.15, 0.86) 0.5s forwards;
    animation-delay: 0.3s;
}

@keyframes grow {
    from {
        transform: scale(0,0);
    }

    to {
        transform: scale(1,1);
    }
}

.bc-list-footer, .bc-list-header {
    background: 0 0;
    padding-top: 12px;
    padding-bottom: 12px;
}

.bc-list-bordered .bc-list-footer, .bc-list-bordered .bc-list-header, .bc-list-bordered .bc-list-item {
    padding-right: 24px;
    padding-left: 24px;
}

.bc-list-header {
    border-bottom: 1px solid #f0f0f0;
}



